First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 101159
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Greg Kroah-Hartman <gregkh@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Jérôme Poulin <jeromepoulin@gmail.com>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
cowloop-2.15.ebuild.patch Patch for cowloop ebuild patch Jérôme Poulin 2005-08-02 21:21 0000 594 bytes Details | Diff
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 101159 depends on: Show dependency tree
Bug 101159 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2005-08-02 21:07 0000
In version 2.15 of cowloop, cowmerge has been added to the package and the
make/install part of the ebuild weren't added that source file to compile, I
added the patch for this bug at the end of the bug report.

Another problem I was wondering, is there a way to automatically add rules to
udev for that package as when you use udev it creates on modprobe /dev/cowctl
but the program search for /dev/cow/ctl when used and will not work until it is
created there, also when it works it will create a cowdev /dev/cowloop0 when the
program says it has created /dev/cow/[0-16] depending on the number of cowloops,
I added those lines to /etc/udev/rules.d/50-udev.rules :

# cow loop
KERNEL=="cowctl"        NAME="cow/ctl"
KERNEL=="cowloop[0-9]"  NAME="cow/%n"

those lines worked perfectly and fixed it.

--- portage/sys-fs/cowloop/cowloop-2.15.ebuild	2005-06-26 05:38:58.000000000 -0400
+++ portage-cowloop/sys-fs/cowloop/cowloop-2.15.ebuild	2005-08-02
23:55:56.000000000 -0400
@@ -32,11 +32,11 @@ pkg_setup() {
 
 src_compile() {
 	linux-mod_src_compile
-	CC="$(tc-getCC) ${CFLAGS}" emake cowdev cowrepair cowsync cowlist || die "make
failed"
+	CC="$(tc-getCC) ${CFLAGS}" emake cowdev cowrepair cowsync cowlist cowmerge ||
die "make failed"
 }
 
 src_install() {
 	linux-mod_src_install
-	dosbin cowdev cowrepair cowsync cowlist
+	dosbin cowdev cowrepair cowsync cowlist cowmerge
 	doman man/*
 }

------- Comment #1 From Jérôme Poulin 2005-08-02 21:21:03 0000 -------
Created an attachment (id=64964) [details]
Just though it could be an idea to have a file instead of text.

------- Comment #2 From Jérôme Poulin 2005-08-02 21:23:04 0000 -------
(From update of attachment 64964 [details])
Just though it could be an idea to have a file instead of text.

------- Comment #3 From Daniel Black 2005-08-04 02:00:16 0000 -------
cowloop-2.15-r1 fixes cowmerge  
  
Greg - are the udev additions feasible? 

------- Comment #4 From Greg Kroah-Hartman 2005-08-04 11:48:56 0000 -------
You don't need to add those udev entries to the main udev rules file, just drop
them into the /etc/udev/rules.d/ directory.  With a name something like
"60-cowloop.rules" so they get run after the other rules.

------- Comment #5 From Daniel Black 2005-08-04 14:51:18 0000 -------
done - thanks greg. 

------- Comment #6 From Jérôme Poulin 2005-08-04 16:41:58 0000 -------
Ah ok! I tried that but didn't add the .rules suffix and it didn't work but
with
.rules it works perfectly. Thanks.

First Last Prev Next    No search results available      Search page      Enter new bug